Subject: Re: gdb & signals
From: [email-masked] (Earnie Boyd)

24 Sep 1997 07:06:03 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked], [email-masked]

>From: Fergus Henderson <[email-masked]>
>Subject: gdb & signals
>To: [email-masked]
>Date: Wed, 24 Sep 1997 04:41:01 +1000 (EST)
>
>Hi,
>
>My program, which I think works OK with b17.1,
>gets a seg fault or equivalent ("In cygwin_except_handler")
>with b18.  On win95, it hangs the OS.  On NT it is not quite
>so bad, I can kill the process.  But I'm having trouble debugging
>it, because after the first SIGSEGV -- which is expected (my
>program is trapping the signal) -- gdb refuses to continue,
>complaining that it can't send the signal to the child process.
>So I can't reproduce the problem inside gdb.
>Also the gdb `attach' command doesn't seen to work either, so
>I can't attach to the process after it has hung.
>
>Any hints or suggestions for how to go about debugging this sort
>of problem?
>
>-- 

So, which version of cygwin.dll are you using?  Let me guess, the one 
from coolview?  Check out the September mail listings at 
http://www.cygnus.com/ml/gnu-win32.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".